ferram4

[1.3.1] Ferram Aerospace Research: v0.15.9.1 "Liepmann" 4/2/18

Recommended Posts

Well, Maybe it's just me that doesn't know how to handle this mod, but it seems like I can't get any results out of this :confused:

I'm trying to get data for my lander, that looks like this:

I08hmDA.png

And when I use FAR, this is what I get:

fAuq4AW.png

As you can see (not much, but still a little), the velocity vector is upside down, so I tried inputting 180 in pitch, but it gets stuck at 1.

So... Am I doing something wrong? Or does the stability just not work for landers, but just planes?

Share this post


Link to post
Share on other sites
21 hours ago, Jirokoh said:

Well, Maybe it's just me that doesn't know how to handle this mod, but it seems like I can't get any results out of this :confused:

I'm trying to get data for my lander, that looks like this:

I08hmDA.png

And when I use FAR, this is what I get:

fAuq4AW.png

As you can see (not much, but still a little), the velocity vector is upside down, so I tried inputting 180 in pitch, but it gets stuck at 1.

So... Am I doing something wrong? Or does the stability just not work for landers, but just planes?

Uhh... stupid question, but did you hit "Sweep AoA"?

Share this post


Link to post
Share on other sites

I'm confused as to what you mean. Are you saying that the Sweep AoA button gave you graphs, but not the mach sweep or the stability derivatives or simulation?

Share this post


Link to post
Share on other sites
45 minutes ago, ItCameFromDuna said:

I'm confused as to what you mean. Are you saying that the Sweep AoA button gave you graphs, but not the mach sweep or the stability derivatives or simulation?

My bad, the screenshot wasn't done properly, with Mach Sweep, it don't have results either :/

Edited by Jirokoh

Share this post


Link to post
Share on other sites

Try to turn on COM and COL indicators in SPH. My guess is that some of those parts have some strange configs that FAR don't recognize properly. If you got arrow on COL indicator then most probably one of part on craft cause that FAR become broken.

Share this post


Link to post
Share on other sites

Hey everyone, sorry it's been awhile, but v0.15.9.1 "Liepmann" is out with a couple bugfixes for KSP 1.3.1.  Getting compatibility on KSP 1.4.x will still take some time, but this is necessary for Realism Overhaul to get released, so here it is.  Changelog has the juicy details, as always.

Share this post


Link to post
Share on other sites

will this mod accurately predict atmospheric drag in map view based on angle of attack? ie space shuttle. i am trying to do a precise shuttle reentry and come out right ahead of KSC for a power off landing. Right now stock KSP you have to guess and it is not accurate at all. For instance i have orbit line ending at KSC in map view. If i raise the nose you should get more drag and thus the orbit line should get further away. And likewise if you lower the nose the blue line should get closer to KSC because now speed has increased due to lower drag

Edited by Redneck

Share this post


Link to post
Share on other sites
1 minute ago, taniwha said:

@Redneck: for that you want the Trajectories mod.

Ive tried that. It didnt work for me. I give it another look (i edited my post above when you posted)

Share this post


Link to post
Share on other sites

Using Trajectories correctly is non-trivial, and most of the time I've seen people use it on youtube, they did not use it correctly. You need to tell Trajectories what AoA you will use, and actually use that AoA.

Share this post


Link to post
Share on other sites

so.. the previous version did in fact work with 1.4.x ... the latest version does not... flat out incompatible.  I'm going to attempt a rebuild that restores compatibility, will let y'all know if that works.

Share this post


Link to post
Share on other sites

Yeah.. so changing the CompatibilityChecker's minor version from 3 to 4, or wrapping it in an OR (||) clause... makes it work again.  Obviously unofficial but it's an interim solution.

Share this post


Link to post
Share on other sites

It will work with older parts, but mesh-switching parts might have problems.

Share this post


Link to post
Share on other sites
1 hour ago, taniwha said:

It will work with older parts, but mesh-switching parts might have problems.

True.  I think this has a simple fix though, FAR just needs to register for the variant changed game event.

Also, EVA parachutes :confused:

Share this post


Link to post
Share on other sites
6 hours ago, taniwha said:

It will work with older parts, but mesh-switching parts might have problems.

fair enough; however the official release of the current version does not work with *any* parts :)  I can post the modified .dll if that's ok with ferram4, or I can just sit on it.

 

If you want to build it yourself with visual studio community 2017, open the solution file in visual studio, edit CompatibilityChecker.cs and change the minor version from 3 to 4, or add an "or" clause... make sure to add the appropriate 64-bit KSP references to *both projects*, set the build type to release, push F6, builds.  copy the resulting .dll files into your appropriate KSP GameData/ locations.  Obviously this explanation requires a bit of knowledge about VS, albeit not that much.

Share this post


Link to post
Share on other sites
11 hours ago, blowfish said:

Also, EVA parachutes :confused:

Strangely, they seem to work.

Share this post


Link to post
Share on other sites
On 04/04/2018 at 5:09 PM, ss8913 said:

so.. the previous version did in fact work with 1.4.x ... the latest version does not... flat out incompatible.  I'm going to attempt a rebuild that restores compatibility, will let y'all know if that works.

Yep, found this out when I launched my rocket a couple of days ago and realised I had no parachutes in my stage sequence. The parts are there but retain no functionality. I hope ferram4 can provide a solution, as generating .dlls from the source files is going to be a pain for many. 

Edit: I did manage to get it to work via that method but it was kind of a hassle. 

Edited by PortalGunner

Share this post


Link to post
Share on other sites

if @ferram4 is ok with it, I have  recompiled build that works in 1.4 ... it's not official, I just fixed/changed the compatibility string and rebuilt it.  I don't want to paste it without his permission though.

Alternatively, Visual Studio Community Edition 2017 is a free download from microsoft, and if you follow my instructions above, you too can build it (and any other mod that's incompatible; a lot of times all a mod needs to be compatible with the new version is simply to be re-linked against the newer KSP libraries, I do this often).

Share this post


Link to post
Share on other sites
1 hour ago, Kenobi McCormick said:

Is there any way to turn off the version checker? I'm on 1.4.2 and FAR keeps telling me I'm not on 1.4.2.

I believe you simply delete the version file and I would take out any miniavc files in the mod.

Share this post


Link to post
Share on other sites
5 hours ago, Next_Star_Industries said:

I believe you simply delete the version file and I would take out any miniavc files in the mod.

FAR has a version checker in the code.  Nothing to do with AVC/MiniAVC

Share this post


Link to post
Share on other sites
2 hours ago, blowfish said:

FAR has a version checker in the code.  Nothing to do with AVC/MiniAVC

see above, I wrote up how to disable it in the code and recompile, if you want to do that.  Without doing that, it won't work on 1.4.x, period.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.